Create

Creates a payment method for an individual customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

❗️

Shopify Integrations

If you are on a Shopify installation, do not use this or any of Ordergroove's endpoints. Use Shopify's customerPaymentMethodSendUpdateEmail instead.

Response Body Definitions

Name

Type

Description

Example

customer

string

Customer ID

"00026001"

billing_address

string

Customer billing address (encrypted)

"c4cfc106ccc411e8ada3bc764e101db1"

cc_number_ending

string

Last four digits of credit card number

"4111"

public_id

string

Payment ID

"f9cb2f93e1c845eb9de9eff46ddb3cbf"

label

string

token_id

string

cc_holder

string

Cardholder name

"John Doe"

cc_type

integer

Credit card type code

1

cc_exp_date

string

Expiration date (format: MM/YYYY)

"11/2028"

payment_method

string

Payment method:

  • credit card
  • paypal
  • applepay
  • shoppay
  • googlepay

"credit card"

live

boolean

Account status:
active = True

True

created

string

Date of payment method creation

"2018-10-10 14:43:32"

last_updated

string

Date of last payment method update

"2018-10-10 14:43:32"

Body Params
string
required

Customer ID

string
required

Last four digits of credit card number

string

Credit card holder. Required depending on integration.

string

Credit card expiration date (format: MM/YYYY or MM/YY). Required depending on integration.

string

Billing address record ID

string

Payment label

string
required

Token ID

int32

Credit card type code

string

Method of payment - "paypal", "credit card", "applepay", or "googlepay"

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json